File libpreludedb.changes of Package libpreludedb

-------------------------------------------------------------------
Sun Oct 25 18:06:12 UTC 2020 - Andreas Stieger <andreas.stieger@gmx.de>

- libpreludedb 5.2.0:
  * build system fixes
  * Python 3.7/3.8 support
  * Update to SWIG 4.0.1
  * Escaping fixes with LIKE operator
- drop upstreamed patches:
  * libpreludedb-fix_py38.patch
- add upstream signing key and verify source signature

-------------------------------------------------------------------
Sun Mar 15 02:34:56 UTC 2020 - Max Lin <mlin@suse.com>

- BuildRequires postgresql-server-devel on Leap >= 15.2 as well

-------------------------------------------------------------------
Fri Oct 25 07:00:00 UTC 2019 - thomas.andrejak@gmail.com

Bump version 5.1.0
  - Update internal dependencies (SWIG, ...)
  - Rewrite preludedb-admin in python, multiprocess compatible
  - Improve bindings
  - Add functions (AVG, SUM, ...)
  - Multiprocess compatibility
  - Add missing operators

- Add patchs:
  - libpreludedb-force_preludedb_admin_with_py3.patch
    - Force using Python 3 for preludedb-admin
  - libpreludedb-fix_gtkdoc_1.32.patch
    - Support of recents gtkdoc versions
  - libpreludedb-fix_py38.patch
    - Add support for Python3.8
  - libpreludedb-update_m4_postgresql.patch
    - Compatibility with PostgreSQL >= 10
- Remove patch:
  - libpreludedb-manpages.patch
    - Fixed upstream
- Remove Python 2 support
  - Python 2 will be removed step by step in all Linux distributions

-------------------------------------------------------------------
Tue Apr  9 07:02:46 UTC 2019 - Christophe Giboudeaux <christophe@krop.fr>

- Add the missing build dependency for Tumbleweed.

-------------------------------------------------------------------
Fri Mar 01 07:00:00 UTC 2019 - thomas.andrejak@gmail.com

Bump version 5.0.0

- Remove patchs included in new version
  - libpreludedb-fix-gtk-doc.patch

-------------------------------------------------------------------
Wed Oct 04 07:00:00 UTC 2017 - thomas.andrejak@gmail.com

- Bump to libpreludedb 4.0.0
- Add patchs:
  - libpreludedb-fix-gtk-doc.patch: gtk-doc removed gtkdoc-tmpl so gtk-doc.make
    and gtk-doc.m4 need to be updated
  - libpreludedb-manpages.patch: Error in manpage description
  - libpreludedb-undefined_non_weak_symbol.patch: Fix undefined non weak symbol
- Remove libgcrypt-devel from BuildRequires since upstream totally move to
  gnutls
- Rename python-preludedb to python2-preludedb

-------------------------------------------------------------------
Thu Mar 30 14:55:53 UTC 2017 - jengelh@inai.de

- Rename %soname to %sover to better reflect its use

-------------------------------------------------------------------
Sun Nov 27 20:16:55 UTC 2016 - thomas.andrejak@gmail.com

- Update to 3.1.0 (Prelude 3.1.0 released on 14 Sept 2016)
- Remove unnecessary patches (libpreludedb-python-swig.patch)
- Use a lib directory with soname
- Spec-Cleaner

-------------------------------------------------------------------
Sat Oct 01 16:47:42 UTC 2016 - thomas.andrejak@gmail.com

- Fix which version of postgresql to use
      Force using postgresql94 as expected in Leap42.2
      Next time, update to do like
      packages in server:database:postgresql

-------------------------------------------------------------------
Thu Sep 15 10:25:42 UTC 2016 - thomas.andrejak@gmail.com

- Update licence from GPL-2.0+ to GPL-3.0+ to include libmissing

-------------------------------------------------------------------
Tue Jun 28 23:03:21 UTC 2016 - jengelh@inai.de

- Drop manual library and python requires (autodetected).
  Ensure shared library packaging guideline is followed
  (no extra files in shlib subpackages).
  Fixup RPM groups. Devel package failed to pull in the cpp wrapper.

-------------------------------------------------------------------
Tue May  3 21:41:24 UTC 2016 - thomas.andrejak@gmail.com

Initial import

Generate the lib, the plugins and bindings :
  * Bindings :
    * Python
    * Python 3
  * Plugins :
    * MySQL
    * PostgreSQL
    * SQLite

Include libpreludedb-python-swig.patch to compile
with python 3.
openSUSE Build Service is sponsored by